<!-- begin sidebar -->
<div id="sidebar">
	<ul id="sidebar1">
	<?php 	/* Widgetized sidebar, if you have the plugin installed. */
	if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(1) ) : ?>
		
		<li>
			<h2><?php _e('About the Author'); ?></h2>
			<ul>
				<li>
					<img src="<?php bloginfo('template_url'); ?>/images/author.gif" alt="Author Name" align="left" style="padding: 2px; margin: 2px; border: 1px solid #ccc;"/>This is the place for you to tell a litle bit about your self. Just write your name, age, hobbies or anything else.
				</li>
			</ul>
		</li>
		
		<li>
			<h2><?php _e('Static Pages'); ?></h2>
			<ul>
				<?php wp_list_pages('title_li='); ?>
			</ul>
		</li>
		
		<li>
			<h2><?php _e('Archive'); ?></h2>
			<ul>
				<?php wp_get_archives('type=monthly'); ?>
			</ul>
		</li>
			
		<li>
			<h2><?php _e('Links'); ?></h2>
			<ul>
				<?php get_links_list(); ?>
			</ul>
		</li>		
			
		<li>
			<h2><?php _e('RSS Feed'); ?></h2>
			<ul>
				<li class="rss"> <a href="<?php bloginfo('rss2_url'); ?>" title="<?php bloginfo('name'); ?> RSS 2.0 (XML) Feed" rel="alternate" type="application/rss+xml">All posts</a> </li>
				<li class="rss"><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php bloginfo('name'); ?> Comments RSS 2.0 (XML) Feed" rel="alternate" type="application/rss+xml">All comments</a></li>
			</ul>
		</li>
		<?php endif; ?>
	</ul>	
	
	<ul id="sidebar2"> 
	<?php 	/* Widgetized sidebar, if you have the plugin installed. */
	if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(2) ) : ?>
		<li>
			<h2><?php _e('Categories'); ?></h2>
			<ul>
				<?php wp_list_cats(); ?>
			</ul>
		</li>
		
		<li>
			<h2><?php _e('Recent Articles'); ?></h2>
			<ul>
				<?php $posts = get_posts('numberposts=10'); foreach($posts as $post) : ?>
				<li><a href= "<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endforeach; ?>
			</ul>	
		</li>
		
		<li>
			<h2><?php _e('Meta'); ?></h2>
			<ul>
				<?php wp_register(); ?>
				<li><?php wp_loginout(); ?></li>
				<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
				<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
				<?php wp_meta(); ?>
			</ul>
		</li>
		
	<?php endif; ?>
	</ul>

</div>

<!-- end sidebar -->
